Page MenuHomePhabricator

Apply Babel schema change expanding babel_lang in Wikimedia production
Closed, ResolvedPublic

Description

WMF deplyment of T226546: babel database doesn't support language codes longer than 10 characters (e.g. de-x-formal) / https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Babel/+/597284/

ALTER TABLE:

ALTER TABLE /*_*/babel MODIFY babel_lang varbinary(35) not null,
MODIFY babel_level varbinary(2) not null;

WHERE: all.dblist (every wiki should have a babel table. closed wikis may not)

WHEN: Whenever (patch is merged)

BACK COMPAT: Yes

TESTED: Live on Beta

Progress:

  • s1
    • eqiad
    • codfw
  • s2
    • eqiad
    • codfw
  • s3
    • eqiad
    • codfw
  • s4
    • eqiad
    • codfw
  • s5
    • eqiad
    • codfw
  • s6
    • eqiad
    • codfw
  • s7
    • eqiad
    • codfw
  • s8
    • eqiad
    • codfw
  • wikitech
    • labswiki
    • labtestwiki

Event Timeline

Reedy created this task.May 21 2020, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2020, 8:29 PM
Jdforrester-WMF renamed this task from Babel schema changes to Apply Babel schema change expanding babel_lang in Wikimedia production.May 21 2020, 8:34 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Surely this is the Schema-change and T226546: babel database doesn't support language codes longer than 10 characters (e.g. de-x-formal) would have been Blocked-on-schema-change (except it was merged ahead of the change being applied in production)?

Surely this is the Schema-change and T226546: babel database doesn't support language codes longer than 10 characters (e.g. de-x-formal) would have been Blocked-on-schema-change (except it was merged ahead of the change being applied in production)?

Not according to the docs:

I would prefer a different task following the template at: https://wikitech.wikimedia.org/wiki/Schema_changes#Workflow_of_a_schema_change

Thank you!

Add the schema-change tag to the relevant Phabricator task the moment you propose a change that involves a change in the table design

Once the solution has been agreed among all developers (usually that means merged to HEAD including the schema change, but disabled on configuration), and you need to apply that to the live databases, create a separate specific task (subtask of the main issue) for the Blocked-on-schema-change, tag also DBA project, providing the following specific information, one per batch (group of alters to be done at the same time):

Yes, I know what the docs say, I think they're confused.

Marostegui triaged this task as Medium priority.May 22 2020, 4:32 AM
Marostegui moved this task from Triage to Backlog on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2020-05-25T05:11:39Z] <marostegui> Deploy schema change on s6, directly on the master - T253342

Marostegui updated the task description. (Show Details)
Marostegui moved this task from Backlog to In progress on the DBA board.
Marostegui moved this task from Backlog to In progress on the Blocked-on-schema-change board.

Mentioned in SAL (#wikimedia-operations) [2020-05-25T12:30:00Z] <marostegui> Deploy schema change on s5 directly on the master T253342

Marostegui updated the task description. (Show Details)May 25 2020, 12:30 PM

Mentioned in SAL (#wikimedia-operations) [2020-05-26T06:01:03Z] <marostegui> Deploy schema change on s2 directly on the master T253342

Marostegui updated the task description. (Show Details)May 26 2020, 6:23 AM

Mentioned in SAL (#wikimedia-operations) [2020-05-26T06:24:19Z] <marostegui> Deploy schema change on s8 directly on the master T253342

Marostegui updated the task description. (Show Details)May 26 2020, 6:24 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2020-05-26T06:29:25Z] <marostegui> Deploy schema change on s7 directly on the master T253342

Marostegui updated the task description. (Show Details)May 26 2020, 6:43 AM

Mentioned in SAL (#wikimedia-operations) [2020-05-26T06:44:30Z] <marostegui> Deploy schema change on s4 directly on the master T253342

Marostegui updated the task description. (Show Details)May 26 2020, 6:44 AM

Mentioned in SAL (#wikimedia-operations) [2020-05-26T06:47:07Z] <marostegui> Deploy schema change on s1 directly on the master T253342

Marostegui updated the task description. (Show Details)May 26 2020, 6:47 AM

Mentioned in SAL (#wikimedia-operations) [2020-05-26T06:49:55Z] <marostegui> Deploy schema change on s3 directly on the master with 1 minute sleep in between wikis T253342

Marostegui closed this task as Resolved.May 27 2020, 4:23 AM
Marostegui updated the task description. (Show Details)

All done